import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增题目模块
    addBankModule(data) {
        return request({
            url: '/bank/module',
            method: 'post',
            data
        })
    },
    //修改题目模块
    editBankModule(data) {
        return request({
            url: '/bank/module/edit',
            method: 'post',
            data
        })
    },
    //查询题目模块列表
    inquireBankModule(data) {
        return request({
            url: '/bank/module/list',
            method: 'get',
            params: data
        })
    },
    //获取题目模块详细信息
    obtainBankModule(data) {
        return request({
            url: `/bank/module/` + data,
            method: 'get',
        })
    },
    //查询业务层次关系列表
    inquireBankModulebusiness(data) {
        return request({
            url: '/bank/module/business/list',
            method: 'get',
            params: data
        })
    },
    //查询关联章卷列表
    inquireBankchapterModule(data) {
        return request({
            url: '/bank/module/chapter/list',
            method: 'get',
            params: data
        })
    },
}